Subject: bug#25103: partition alignment

From: Volta <[email-masked]>
Date: Sun, 4 Dec 2016 15:14:56 -0500

On 4 December 2016 at 01:55, Josep Lladonosa <[email-masked]> wrote:
> On 4 Dec 2016 05:40, "Volta" <[email-masked]> wrote:
>> 1 not aligned
>> 1 aligned
>> -- 8< --
>>
>> So, I fell back to how we used to do this, but the numbers are... weird:
>>
>> -- 8< --
>> $ cat /sys/block/sdi/queue/optimal_io_size
>> 33553920
>
> Maybe this value is not drive related but usb bus related. Is that a usb
> drive? I guess so. Found similar cases. One of them:
>
> https://www.mail-archive.com/search?l=[email-masked]&q=subject:%22Re%5C%3A+questions+about+uas%22&o=newest&f=1

Interesting! Yes, as you've guessed, it is a USB drive, using the uas
driver. So, not a parted bug, and I've got a new avenue to read up on.

Thank you!

 -V